use serde::Serialize;

use super::media_type::MediaType;

#[derive(Debug, Serialize)]
#[serde(rename = "content")]
pub struct Content {
    #[serde(rename = "@type")]
    pub media_type: MediaType,
    #[serde(rename = "$value")]
    pub content: String,
}
